Package ghidra.trace.model.target.iface

# Interface TraceObjectInterface

All Known Subinterfaces:
  `DBTraceObjectInterface`, `TraceActivatable`, `TraceAggregate`, `TraceBreakpointCommon`, `TraceBreakpointLocation`, `TraceBreakpointSpec`, `TraceEnvironment`, `TraceEventScope`, `TraceExecutionStateful`, `TraceFocusScope`, `TraceMemory`, `TraceMemoryRegion`, `TraceMethod`, `TraceModule`, `TraceProcess`, `TraceRegister`, `TraceRegisterContainer`, `TraceSection`, `TraceStack`, `TraceStackFrame`, `TraceThread`, `TraceTogglable`

All Known Implementing Classes:
  `DBTraceBreakpointLocation`, `DBTraceBreakpointSpec`, `DBTraceMemoryRegion`, `DBTraceModule`, `DBTraceObjectActivatable`, `DBTraceObjectAggregate`, `DBTraceObjectEnvironment`, `DBTraceObjectEventScope`, `DBTraceObjectExecutionStateful`, `DBTraceObjectFocusScope`, `DBTraceObjectMemory`, `DBTraceObjectMethod`, `DBTraceObjectProcess`, `DBTraceObjectRegister`, `DBTraceObjectRegisterContainer`, `DBTraceObjectTogglable`, `DBTraceSection`, `DBTraceStack`, `DBTraceStackFrame`, `DBTraceThread`

public interface TraceObjectInterface
A common interface for object-based implementations of other trace manager entries, e.g., `TraceThread`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_COMMENT`
  `static final String`
  `KEY_DISPLAY`
  `static final String`
  `KEY_KIND`
  `static final String`
  `KEY_MODIFIED`
  `static final String`
  `KEY_ORDER`
  `static final String`
  `KEY_SHORT_DISPLAY`
  `static final String`
  `KEY_TYPE`
  `static final String`
  `KEY_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceObject`
  `getObject()`
  Get the object backing this implementation

- ## Field Details

  - ### KEY_DISPLAY

    static final String KEY_DISPLAY
    See Also:
      - Constant Field Values

  - ### KEY_SHORT_DISPLAY

    static final String KEY_SHORT_DISPLAY
    See Also:
      - Constant Field Values

  - ### KEY_KIND

    static final String KEY_KIND
    See Also:
      - Constant Field Values

  - ### KEY_ORDER

    static final String KEY_ORDER
    See Also:
      - Constant Field Values

  - ### KEY_MODIFIED

    static final String KEY_MODIFIED
    See Also:
      - Constant Field Values

  - ### KEY_TYPE

    static final String KEY_TYPE
    See Also:
      - Constant Field Values

  - ### KEY_VALUE

    static final String KEY_VALUE
    See Also:
      - Constant Field Values

  - ### KEY_COMMENT

    static final String KEY_COMMENT
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getObject

    TraceObject getObject()
    Get the object backing this implementation
    Returns:
      the object